GNUNET-FUSE(1)

NAME
gnunet-fuse - FUSE filesystem for GNUnet

SYNOPSIS
gnunet-fuse -s URI [-- FUSE-OPTIONS] DIRECTORYNAME

gnunet-fuse --help

DESCRIPTION
gnunet-fuse is the FUSE filesystem for GNUnet.

You need the URI of a file with the mime-type of application/gnunet-directory. You can either publish a directory with gnunet-insert or do a search for the mime-type. To mount the URI use the following command.

$ echo gnunet://ecrs/chk/XXXX/YYYY.NNNN > uri_file
$ gnunet-fuse -s uri_file /mnt

Where gnunet://ecrs/chk/XXXX/YYYY.NNNN is the URI and /mnt is the mount point.

OPTIONS

-c, --config=FILE
    use configuration file FILE.

-d, --directory=PATH
    path to your mountpoint.

-h, --help
    print this help.

-L, --log=LOGLEVEL
    configure logging to use LOGLEVEL.

-l, --logfile=FILE
    configure logging to write logs to LOGFILE.

-s, --source=URI
    Source you get the URI from.

-t, --single-threaded
    run in single-threaded mode.

-v, --version
    print the version number.

SEE ALSO
gnunet(7)

HOMEPAGE
More information about gnunet-fuse and the GNUnet project can be found at <http://www.gnunet.org/>.

This manual page was written by Daniel Baumann <daniel.baumann@progress-technologies.net> and Bertrand Marc <beberking@gmail.com>.